Skip to content

Run an AI Cloths task.

Request

This endpoint initiates the clothing virtual try-on process. You can use a template ID or provide reference images (source and reference files). The task will be processed asynchronously, and you can check its status using the task_id returned in this response.

Security
BearerAuthenticationV2
Bodyapplication/jsonrequired
Any of:
change_shoesboolean

Control whether shoes should be swapped when a full body reference image with shoes is available for processing.

Default:true
src_file_urlstringrequired

Url of the file to run task. The url should be publicly accessible.

Example:"https://example.com/selfie.jpg"
ref_file_urlstringrequired

Url of the reference file to run task. The url should be publicly accessible.

Example:"https://example.com/accessory.jpg"
garment_categorystringrequired

The category of garment of reference image. It's required if reference image provided. Utilize the "auto" parameter to allow the AI engine to automatically identify and classify garment categories.

Enum:"full_body""lower_body""upper_body""shoes""auto"
POST
/s2s/v2.0/task/cloth
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/cloth \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_url": "https://example.com/selfie.jpg",
    "ref_file_url": "https://example.com/accessory.jpg",
    "garment_category": "full_body",
    "change_shoes": true
  }'

Responses

Successful execution of the AI Clothes task

Bodyapplication/json
statusinteger

Response status

Example:200
dataobject
Response
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }